Get bulk export
curl --request GET \
--url https://app.silnahealth.com/api/public/v1/bulk-export/{bulk_export_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.silnahealth.com/api/public/v1/bulk-export/{bulk_export_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.silnahealth.com/api/public/v1/bulk-export/{bulk_export_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"export_type": "PRIOR_AUTHORIZATION",
"created_at": "2023-11-07T05:31:56Z",
"file_id": null
}{
"message": "<string>",
"type": "AUTH_INVALID_REQUEST_HEADER"
}{
"message": "<string>"
}{
"message": "<string>"
}Exports
Get bulk export
GET
/
public
/
v1
/
bulk-export
/
{bulk_export_id}
Get bulk export
In order to download the bulk export, you will need to make a call to our Get File API
with the
file_id returned from this response. This file_id will only become available once the bulk export is complete (status = SUCCESS).
Terminal states for a bulk export are SUCCESS, FAILED, and NO_DATA_PRESENT. The NO_DATA_PRESENT state indicates
that there was no data to export and you should adjust your Create Bulk Export request body accordingly.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Available options:
PENDING, PROCESSING_ROWS, MERGING_ROWS, SUCCESS, FAILURE, NO_DATA_PRESENT Available options:
PRIOR_AUTHORIZATION, BENEFITS_CHECK, ELIGIBILITY_CHECK, PAYOR_DETECTION, PATIENT, ESCALATION_PRIOR_AUTHORIZATION, ESCALATION_BENEFITS_CHECK, ESCALATION_ELIGIBILITY_CHECK, ESCALATION_EHR_SYNC, CONTRACT, RATE, PROVIDER_GROUP, SERVICE_LOCATION, CLINICIAN, PROVIDER_USER, PROCEDURE_GROUP